SimpleCollectionResponseAggregator (Mule ESB 2.2.1 API)
Keywords: org.mule.routing.response.SimpleCollectionResponseAggregator class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.routing.response
Class SimpleCollectionResponseAggregator

    java.lang.Object
      org.mule.routing.AbstractRouter
          org.mule.routing.response.AbstractResponseRouter
              org.mule.routing.response.AbstractResponseAggregator
                  org.mule.routing.response.ResponseCorrelationAggregator
                      org.mule.routing.response.SimpleCollectionResponseAggregator

All Implemented Interfaces:
  MuleContextAware, Disposable, Initialisable, ResponseRouter, Router

    public class SimpleCollectionResponseAggregator

extends ResponseCorrelationAggregator

A simple aggregator that will keep collecting events until a timeout is reached. It will then return a `MuleMessageCollection` message.

See Also:
  `MuleMessageCollection`

Nested Class Summary

Nested classes/interfaces inherited from class org.mule.routing.response.ResponseCorrelationAggregator
`ResponseCorrelationAggregator.DefaultEventCorrelatorCallback`

Field Summary

Fields inherited from class org.mule.routing.response.AbstractResponseRouter
`logger, messageInfoMapping`

Fields inherited from class org.mule.routing.AbstractRouter
`muleContext`

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Disposable
`PHASE_NAME`

Constructor Summary
`SimpleCollectionResponseAggregator()`

Method Summary
`protected EventCorrelatorCallback` | `getCorrelatorCallback()`

Methods inherited from class org.mule.routing.response.AbstractResponseAggregator
`aggregateEvents, getEventCorrelator, getResponse, getTimeout, initialise, isFailOnTimeout, process, setFailOnTimeout, setTimeout`

Methods inherited from class org.mule.routing.response.AbstractResponseRouter
`getCallResponseAggregateIdentifier, getMessageInfoMapping, getReplyAggregateIdentifier, setMessageInfoMapping`

Methods inherited from class org.mule.routing.AbstractRouter
`dispose, getMuleContext, getRouterStatistics, setMuleContext, setRouterStatistics`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.mule.api.routing.Router
`getRouterStatistics, setRouterStatistics`

Methods inherited from interface org.mule.api.lifecycle.Disposable
`dispose`

Constructor Detail

### SimpleCollectionResponseAggregator

    public SimpleCollectionResponseAggregator()

Method Detail

### getCorrelatorCallback

    protected EventCorrelatorCallback getCorrelatorCallback()

  Overrides:
    `getCorrelatorCallback` in class `ResponseCorrelationAggregator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.